summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSteven J Newbury <steve@snewbury.org.uk>2009-04-29 17:33:13 +0100
committerSteven J Newbury <steve@snewbury.org.uk>2009-04-29 17:33:13 +0100
commit3ce26f1612c7b6fe1fbed74c659ab43a67c37f44 (patch)
treeb04cf4eeefdf8ff21575f565d37686f6222bd406 /eclass/qt4-build.eclass
parentMerge branch 'master' of git@github.com:sjnewbury/multilib-overlay (diff)
downloadmultilib-portage-3ce26f1612c7b6fe1fbed74c659ab43a67c37f44.tar.gz
multilib-portage-3ce26f1612c7b6fe1fbed74c659ab43a67c37f44.tar.bz2
multilib-portage-3ce26f1612c7b6fe1fbed74c659ab43a67c37f44.zip
Re-sync qt4-build.eclass
Diffstat (limited to 'eclass/qt4-build.eclass')
-rw-r--r--eclass/qt4-build.eclass33
1 files changed, 19 insertions, 14 deletions
diff --git a/eclass/qt4-build.eclass b/eclass/qt4-build.eclass
index 20dee5edb..a102afcc9 100644
--- a/eclass/qt4-build.eclass
+++ b/eclass/qt4-build.eclass
@@ -1,6 +1,6 @@
# Copyright 2007-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.27 2009/03/11 23:58:31 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.32 2009/04/23 11:45:38 hwoarang Exp $
# @ECLASS: qt4-build.eclass
# @MAINTAINER:
@@ -11,8 +11,6 @@
# @DESCRIPTION:
# This eclass contains various functions that are used when building Qt4
-MULTILIB_IN_SOURCE_BUILD="yes"
-
inherit eutils multilib toolchain-funcs flag-o-matic versionator
IUSE="${IUSE} custom-cxxflags debug pch"
@@ -54,7 +52,6 @@ qt4-build_pkg_setup() {
# Check USE requirements
qt4-build_check_use
fi
-
# Set up installation directories
QTBASEDIR=/usr/$(get_libdir)/qt4
QTPREFIXDIR=/usr
@@ -78,7 +75,7 @@ qt4-build_pkg_setup() {
if ! version_is_at_least 4.1 $(gcc-version) ; then
ewarn "Using a GCC version lower than 4.1 is not supported!"
echo
- ebeep 5
+ ebeep 3
fi
if use custom-cxxflags; then
@@ -137,19 +134,21 @@ qt4-build_src_prepare() {
replace-flags -O3 -O2
fi
- # Bug 253127
- # Unsupported old gcc versions - hardened needs this :(
- if [[ $(gcc-major-version) -lt "4" ]] ; then
- ewarn "Appending -fno-stack-protector to CXXFLAGS"
- append-cxxflags -fno-stack-protector
- fi
-
# Bug 178652
if [[ "$(gcc-major-version)" == "3" ]] && use amd64; then
ewarn "Appending -fno-gcse to CFLAGS/CXXFLAGS"
append-flags -fno-gcse
fi
+ # Unsupported old gcc versions - hardened needs this :(
+ if [[ $(gcc-major-version) -lt "4" ]] ; then
+ ewarn "Appending -fno-stack-protector to CXXFLAGS"
+ append-cxxflags -fno-stack-protector
+ # Bug 253127
+ sed -e "/^QMAKE_CFLAGS\t/ s:$: -fno-stack-protector-all:" \
+ -i "${S}"/mkspecs/common/g++.conf || die "sed ${S}/mkspecs/common/g++.conf failed"
+ fi
+
# Bug 172219
sed -e "s:QMAKE_CFLAGS_RELEASE.*=.*:QMAKE_CFLAGS_RELEASE=${CFLAGS}:" \
-e "s:QMAKE_CXXFLAGS_RELEASE.*=.*:QMAKE_CXXFLAGS_RELEASE=${CXXFLAGS}:" \
@@ -234,8 +233,14 @@ standard_configure_options() {
-translationdir ${QTTRANSDIR} -examplesdir ${QTEXAMPLESDIR}
-demosdir ${QTDEMOSDIR} -silent -fast
$([[ ${PN} == qt-xmlpatterns ]] || echo -no-exceptions)
- $(use x86-fbsd || echo -reduce-relocations)
- -nomake examples -nomake demos"
+ -reduce-relocations -nomake examples -nomake demos"
+
+ # Make eclass 4.5.{1,2} ready
+ case "${MY_PV}" in
+ 4.5.1 | 4.5.2)
+ myconf="${myconf} -opensource"
+ ;;
+ esac
echo "${myconf}"
}